% Function that returns Ts and Hs from time series from year X to year Y

function metoceanData = loadTimeSeries(startYear,endYear,filename)

fid = load(filename);

% Find start and end indexes
startIndex = find(fid(:,1) == startYear,1);
endIndex = find(fid(:,1) == endYear,1,'last');

% Return Hs and Tp with year and month indexes
metoceanData = [fid(startIndex:endIndex,1) fid(startIndex:endIndex,2) ...
    fid(startIndex:endIndex,7) fid(startIndex:endIndex,8)];
end







